<?php
function getMovies(){
    global $db;
    $query = 'select movie_id, name from movies';
    $statement = $db->prepare($query);
    $statement->execute();
    $result = $statement->fetchAll();
    $statement->closeCursor();
    return $result;
}

function addMovie($moviename){
    global $db;
    $query = 'insert into movies (name) values (:moviename)';
    $statement = $db->prepare($query);
    $statement->bindValue(':moviename',$moviename);
    $result = $statement->execute();
    $statement->closeCursor();
    return $result;
}

?>