<?php

function addVote($movie_id){
    global $db;
    $query = 'insert into votes(movie_id) values (:movie_id) ';
    $statement = $db->prepare($query);
    $statement->bindvalue(':movie_id',$movie_id);
    $success = $statement->execute();
    $statement->closeCursor();
    return $success;
}

function getVotesReport(){

    $query = 'select name, count(*) as quantity '
            . ' from movies, votes '
            . ' where movies.movie_id = votes.movie_id '
            . ' group by name order by name';

			
}

?>