<?php
include '../common/configuration.php';
include '../model/database.php';
include '../model/movies_db.php';

$moviename = '';  //default value of the $moviename variable
$message = '';  //default value of the $message variable

session_start();  // this controller uses a session variable, 
                  //so we need to start (or resume) a session 

//let's use a session variable to enforce some security
if (!isset($_SESSION['LOGGED_IN'])) {
    header('Location: ../staff/index.php');
    exit();
}
    


if (isset($_POST['add'])) {
    $moviename = filter_input(INPUT_POST, 'moviename');
    //Step 8

    if (empty($moviename)){
        $message = "Please specify a movie name";
        include 'movie_add.php';
        exit();
    }
    
    addMovie($moviename);
    $message = "Movie added";
    include 'movie_add.php';
    exit();
}

include 'movie_add.php';
exit();
?>
