<?php
include '../common/configuration.php';
include '../model/database.php';

//default values
$message = '';
$username = '';
$password = '';

session_start();  // this controller uses a session variable, 
                  //so we need to start (or resume) a session 


//was the login button clicked?
if (isset($_POST['login'])) {
    
    $username = filter_input(INPUT_POST, 'username');
    $password = filter_input(INPUT_POST, 'password');
    
    //was the username and password provided?
    if (empty($username) || empty($password)) {
        $message = "Both user name and password are required"; 
        include 'staff_login.php';
        exit();
    }

    // if they were provided, were they good?
    if ($username == 'admin' && $password== 'mittens') {
        //success!
        $_SESSION['LOGGED_IN'] = 'OK';
        $message = "Success!  You are now logged in.";
        include 'staff_login.php';
        exit();
    }
    
    $message = 'Login failed';
    include 'staff_login.php';
    exit();
}


//was the logout link clicked?
if (isset($_GET['logout'])) {
    include 'staff_logout.php';
    exit();
}


//if all else fails, show the login page (no message)
include 'staff_login.php';
exit();
?>
