<?php
// Initialized the session back on the controller
// session_start();

// Unset all of the session variables. The session array is assigned to an empty array
$_SESSION = array();

// Now... the tricky part... kill the cookie on the browser
// Delete the cookie for the session
$name = session_name();                // Get name of the session cookie
$expire = strtotime('-1 year');        // Create expiration date in the past
setcookie($name, null, $expire); // set the cookie value to null, and expire it

// Finally, destroy the session.
session_destroy();

// All done with the session. Direct the user back to a landing page.
header('Location: ../index.php');
?>

