<?php 
include '../common/configuration.php';
include '../model/database.php';
include '../model/votes_db.php';
include '../model/movies_db.php';

//go get the movies array
$movies = getMovies();
$message = '';

session_start();  // this navigation view uses a session variable, 
                  //so we need to start (or resume) a session 


//if button click
if (isset($_POST['vote'])) {
    
    $favorite = filter_input(INPUT_POST,'favorite',FILTER_VALIDATE_INT);
    
    //error trapping
    if (empty($favorite)) {
        $message = "Please make a choice";
        include 'vote_add.php';
        exit();
    }
    
    //ok put in the vote in
    addVote($favorite);
    $message = "Got it.  Thanks.";
    include 'vote_add.php';
    exit();
    
}

//if a report was requested
if (isset($_GET['list'])) {
    
    //Step 7c.  
	//let's use a session variable to enforce some security

    
    //go get the voting summary
    //Step 7b. ... something right here.
	
    include 'vote_list.php';
    exit();
    
}

//if no other action
include 'vote_add.php';
exit();
?>